package com.dhcc.finance.util;

import java.lang.reflect.Method;
import java.math.BigDecimal;

import groovy.lang.Script;
/**
 * 功能描述：自定义表达式函数
 * @author dml
 * @date 2019年8月2日 下午2:28:01
 * @修改日志：
 */
public class MyBaseScript extends Script{

	@Override
	public Object run() {        
		Method[] methods = MyBaseScript.class.getDeclaredMethods();
	    StringBuilder sb=new StringBuilder();
	    for (Method method : methods) {
	        sb.append(method);
	    }
	    return sb.substring(0, sb.length()-1);
    }
	/**
	 * 功能描述：保留两位小数(财务系统默认保留两位)
	 * @param value
	 * @return BigDecimal
	 * @author dml
	 * @date 2019年8月2日 下午2:29:19
	 * @修改日志：
	 */
	public static BigDecimal round(BigDecimal value) {
	    return value.setScale(2, BigDecimal.ROUND_HALF_UP);
	}
}